## libweb-id-perl 1.921

=== debian/changelog ===
libweb-id-perl (1.921-3) unstable; urgency=low

  * Fix depend on libmousex-types-perl or libmoosex-types-perl (in
    addition to recommending libmousex-types-perl).
  * Relax to build unversioned on cdbs: Needed version satisfied in
    stable, and oldstable no longer supported.
  * Fix use pseudo-fields in copyright file (license-in-comment for
    verbatim dual-license text covered in separate License sections,
    and comment-in-license for non-verbatim parts of License sections):
    File format 1.0 mandates License field to either be single-line or
    include all licensing info.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Jul 2012 22:17:11 +0200

libweb-id-perl (1.921-2) unstable; urgency=low

  * Update copyright file: Improve Files sections for convenience
    copies of external Perl modules.
  * List upstream issue tracker as contact, and metacpan.org URL as
    Homepage.
  * Add patch 1001 to avoid auto-installing dependencies during build.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Jun 2012 13:51:05 +0200

libweb-id-perl (1.921-1) experimental; urgency=low

  * New upstream release.

  * Install example scripts.
  * Suggest libwww-finger-perl, and mention in long description its
    usage with Web::ID::Certificate::Generator.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update copyright file:
    + Bump format to final version 1.0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 May 2012 01:08:05 +0200

libweb-id-perl (1.920-1) experimental; urgency=low

  * New upstream release.

  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Stop (build-)depending on libclass-load-perl: No longer used.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 10 May 2012 12:30:32 +0200

libweb-id-perl (1.910~02-1) experimental; urgency=low

  * Initial packaging release.
    Closes: bug#672110.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 May 2012 16:52:32 +0200
