=== debian/control ===
Source: libweb-id-perl
Section: perl
Priority: optional
Build-Depends: cdbs,
 devscripts,
 perl,
 debhelper,
 dh-buildinfo,
 libmoose-perl,
 libmoosex-types-perl,
 libany-moose-perl,
 libcrypt-x509-perl,
 libdatetime-perl,
 libdigest-sha-perl,
 liblist-moreutils-perl,
 libmime-base64-perl,
 libpath-class-perl,
 libplack-perl,
 librdf-query-perl,
 librdf-trine-perl,
 libsub-exporter-perl,
 liburi-perl,
 libnamespace-clean-perl,
 openssl,
 libmousex-types-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libweb-id-perl
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libweb-id-perl.git
Homepage: https://metacpan.org/release/Web-ID

Package: libweb-id-perl
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${perl:Depends}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Description: implementation of WebID (a.k.a. FOAF+SSL)
 WebID is a simple authentication protocol based on TLS (Transaction
 Layer Security, better known as Secure Socket Layer, SSL) and the
 Semantic Web. This module provides a Perl implementation for
 authenticating clients using WebID.
 .
 For more information see the Web::ID::FAQ document.
 .
 Bundled with this module are Plack::Middleware::Auth::WebID, a plugin
 for Plack to perform WebID authentication on HTTPS connections; and
 Web::ID::Certificate::Generator, a module that allows you to generate
 WebID-enabled certificates that can be installed into web browsers.
 .
 If WWW::Finger (libwww-finger-perl) is installed,
 Web::ID::Certificate::Generator attempts to locate some RDF data about
 the holder of an e-mail address provided as Web::ID::SAN::Email. It is
 probably not especially interoperable with other WebID implementations.
