=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright 2012, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Web::ID
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_PACKAGE = Web-ID
DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Web
#DEB_UPSTREAM_URL = http://search.cpan.org/CPAN/authors/id/T/TO/TOBYINK
DEB_UPSTREAM_TARBALL_BASENAME_MANGLE = s/~/_/
DEB_UPSTREAM_TARBALL_MD5 = 62dced06b81045217764b49ad08bb65c

# Needed both by upstream build process and at runtime
common-perl-depends = any-moose crypt-x509 datetime digest-sha
common-perl-depends += list-moreutils mime-base64 path-class plack rdf-query
common-perl-depends += rdf-trine sub-exporter uri namespace-clean
common-depends = $(patsubst %,lib%-perl$(comma),$(common-perl-depends))

# Needed both by upstream regression tests and (often) at runtime
common-recommends += , openssl

# Both variants needed by upstream regression tests
# At runtime Mouse is preferred, even if Moose is already installed
# (we rely on libmo?sex-types-perl depending on libmo?se-perl)
common-recommends += , libmousex-types-perl
CDBS_BUILD_DEPENDS += , libmoose-perl, libmoosex-types-perl
CDBS_DEPENDS_ALL += , libmousex-types-perl | libmoosex-types-perl

CDBS_BUILD_DEPENDS += , $(common-depends), $(common-recommends)
CDBS_DEPENDS_ALL += , $(common-depends)
CDBS_RECOMMENDS_ALL = $(common-recommends)
CDBS_SUGGESTS_ALL = libwww-finger-perl

DEB_INSTALL_EXAMPLES_ALL += examples/*
