## libweb-id-perl 1.922

=== debian/changelog ===
libweb-id-perl (1.922-2) unstable; urgency=low

  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to wiki page for details.
  * Bump packaging license to GPL-3+, and extend coverage to include
    recent years.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 May 2013 13:32:30 +0200

libweb-id-perl (1.922-1) experimental; urgency=low

  [ upsptream ]
  * New release.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

  [ Jonas Smedegaard ]
  * Update package relations:
    + Build-depend (not only depend) on libmoose-perl and
      libmoosex-types-perl, and stop (build-)depending on any-moose or
      libmousex-types-perl: Upstream now only support Moose since
      RDF::Trine do the same.
    + (Build-)depend on libnamespace-sweep-perl (not
      libnamespace-clean-perl).
    + Stop (build-)depending on libdigest-sha-perl or
      libmime-base64-perl: Both provided by perl.
    + Build-depend on libcapture-tiny-perl: Beautifies testsuite output.
  * Bump dephelper compatibility level to 8.
  * Bump standards-version to 3.9.4.
  * Document possible need for Plack middleware in README.Debian, and
    mention in long description as well.
  * Unfuzz patch 1001.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Mar 2013 15:52:51 +0100
