=== debian/control ===
--- 
+++ 
@@ -6,27 +6,24 @@
  perl,
  debhelper,
  dh-buildinfo,
+ libcrypt-x509-perl,
+ libdatetime-perl,
+ liblist-moreutils-perl,
  libmoose-perl,
  libmoosex-types-perl,
- libany-moose-perl,
- libcrypt-x509-perl,
- libdatetime-perl,
- libdigest-sha-perl,
- liblist-moreutils-perl,
- libmime-base64-perl,
  libpath-class-perl,
  libplack-perl,
  librdf-query-perl,
  librdf-trine-perl,
  libsub-exporter-perl,
  liburi-perl,
- libnamespace-clean-perl,
+ libnamespace-sweep-perl,
  openssl,
- libmousex-types-perl
+ libcapture-tiny-perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-perl/packages/libweb-id-perl
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/git/pkg-perl/packages/libweb-id-perl
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libweb-id-perl.git
 Homepage: https://metacpan.org/release/Web-ID
 
@@ -54,3 +51,6 @@
  Web::ID::Certificate::Generator attempts to locate some RDF data about
  the holder of an e-mail address provided as Web::ID::SAN::Email. It is
  probably not especially interoperable with other WebID implementations.
+ .
+ Depending on webserver setup, libplack-middleware-apache2-modssl-perl
+ or libplack-middleware-gepokx-modssl-perl may be required.
