=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2012, 2013, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Web::ID
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_PACKAGE = Web-ID
DEB_UPSTREAM_URL = http://www.cpan.org/modules/by-module/Web
DEB_UPSTREAM_TARBALL_MD5 = fffd6824efdf9a76a61f68fca99e9ffa

# needed by upstream build and (always) at runtime
perl-deps = crypt-x509 datetime list-moreutils moose moosex-types
perl-deps += path-class plack rdf-query rdf-trine
perl-deps += sub-exporter uri namespace-sweep
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))

# needed by upstream testsuite and (often) at runtime
deps-test-recommend = openssl

# needed by upstream testsuite
deps-test += , libcapture-tiny-perl

# needed (seldom) at runtime
suggests = libwww-finger-perl
suggests +=, libplack-middleware-apache2-modssl-perl | libplack-middleware-gepokx-modssl-perl

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-test-recommend), $(deps-test)
CDBS_DEPENDS_$(pkg) = $(deps)
CDBS_RECOMMENDS_$(pkg) = $(deps-test-recommend)
CDBS_SUGGESTS_$(pkg) = $(suggests)

DEB_INSTALL_EXAMPLES_$(pkg) += examples/*
