## libweb-id-perl 1.927

=== debian/changelog ===
libweb-id-perl (1.927-2) unstable; urgency=medium

  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not gitweb) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Use License-Grant and License-Reference fields. Thanks to Ben Finney.
    + Extend coverage for myself.
  * Add lintian override regarding license in License-Reference field.
    See bug#786450.
  * Use debhelper compat level 9.
  * Update git-buildpackage config: Filter any .gitignore file.
  * Update watch file:
    + Mention gbp --uscan in usage comment.
    + Tighten version regex.
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
      Stop build-depend on devscripts.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 Aug 2017 17:04:59 +0200

libweb-id-perl (1.927-1) unstable; urgency=low

  [ upstream ]
  * New release(s).
    + Do a better job searching for OpenSSL binary; use Alien::OpenSSL
      if it can't be found.
    + Switch from MooseX::Types to Types::Standard.
    + Switch from Path::Class to Path::Tiny.
    + Switch from Sub::Exporter to Exporter::Tiny.
    + Switch from smartmatch to match::smart.
    + Package using Dist::Inkt.
    + Rather than defining Datetime and Uri types in Web::ID::Types, use
      Types::DateTime and Types::URI from CPAN.

  [ Jonas Smedegaard ]
  * Stop tracking md5sum of upstream tarball.
  * Update package relations:
    + (Build-)depend on libtype-tiny-perl, libtypes-datetime-perl,
      libtypes-uri-perl and libexporter-tiny-perl (not
      libsub-exporter-perl or libmoosex-types-perl).
    + (Build-)depend on libpath-tiny-perl (not libpath-class-perl).
    + (Build-)depend on libfile-sharedir-perl and libmatch-simple-perl.
    + Tighten (build-)dependency on libmoose-perl.
    + Build-depend on either recent perl or recent libtest-simple-perl.
    + Suggest each ModSSL-fixing Plack middleware independently.
  * Update copyright info:
    + Add git URL as alternate source.
    + Fix describe GPL-3 as such (not "version 2") in file section
      comment.
    + Drop notes on no longer included convenience code copies.
    + Extend coverage for main author, and for packaging.
    + Fix cover CONTRIBUTING file.
      Thanks to Thorsten Alteholz.
  * Drop patch 1001: Build problem turned out to be (and fixed by now)
    in CDBS.
  * Update watch file to use metacpan.org URL, and stop track
    development releases.
  * Switch CDBS get-orig-source target to use www.cpan.org/authors URL.
  * Bump standards-version to 3.9.5.
  * Fix use canonical Vcs-Git URL.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 May 2014 00:46:41 +0200
