=== debian/control ===
--- 
+++ 
@@ -2,29 +2,33 @@
 Section: perl
 Priority: optional
 Build-Depends: cdbs,
- devscripts,
  perl,
  debhelper,
  dh-buildinfo,
  libcrypt-x509-perl,
  libdatetime-perl,
+ libexporter-tiny-perl,
  liblist-moreutils-perl,
- libmoose-perl,
- libmoosex-types-perl,
- libpath-class-perl,
+ libtype-tiny-perl,
+ libpath-tiny-perl,
  libplack-perl,
  librdf-query-perl,
  librdf-trine-perl,
- libsub-exporter-perl,
+ libfile-sharedir-perl,
+ libtypes-datetime-perl,
+ libtypes-uri-perl,
  liburi-perl,
  libnamespace-sweep-perl,
+ libmoose-perl (>= 2.0600),
+ libmatch-simple-perl (>= 0.008),
  openssl,
+ perl (>= 5.13.4) | libtest-simple-perl (>= 0.96),
  libcapture-tiny-perl
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/git/pkg-perl/packages/libweb-id-perl
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libweb-id-perl.git
+Standards-Version: 4.1.0
+Vcs-Git: https://anonscm.debian.org/pkg-perl/packages/libweb-id-perl
+Vcs-Browser: https://anonscm.debian.org/git/pkg-perl/packages/libweb-id-perl.git
 Homepage: https://metacpan.org/release/Web-ID
 
 Package: libweb-id-perl
