=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2012-2014, 2017 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Web::ID
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/class/perl-makemaker.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

# needed by upstream build and (always) at runtime
perl-deps = crypt-x509 datetime exporter-tiny list-moreutils type-tiny
perl-deps += path-tiny plack rdf-query rdf-trine file-sharedir
perl-deps += types-datetime types-uri uri namespace-sweep
deps = $(patsubst %,$(comma) lib%-perl,$(perl-deps))
deps +=, libmoose-perl (>= 2.0600)
deps +=, libmatch-simple-perl (>= 0.008)

# needed by upstream testsuite and (often) at runtime
deps-test-recommend = openssl

# needed by upstream testsuite
deps-test +=, perl (>= 5.13.4) | libtest-simple-perl (>= 0.96)
deps-test +=, libcapture-tiny-perl

# needed (seldom) at runtime
suggests = libwww-finger-perl
suggests +=, libplack-middleware-apache2-modssl-perl
suggests +=, libplack-middleware-gepokx-modssl-perl

CDBS_BUILD_DEPENDS +=, $(deps), $(deps-test-recommend), $(deps-test)
CDBS_DEPENDS_$(pkg) = $(deps)
CDBS_RECOMMENDS_$(pkg) = $(deps-test-recommend)
CDBS_SUGGESTS_$(pkg) = $(suggests)

DEB_INSTALL_EXAMPLES_$(pkg) += examples/*
